Subject: Re: bug#9461: 24.0.50; Weird behaviour in "show-parent-mode"

From: Juri Linkov <[email-masked]>
Date: Fri, 09 Sep 2011 18:01:17 +0300

> Would it be possible to use another patch which shares code between
> blink-paren and show-paren?

In theory, `blink-paren' and `show-paren' both do a similar job of
displaying the opposite side of a balanced expression.  But looking at code
in `blink-paren' and `show-paren', I see absolutely nothing in common.

The first small piece of common code will be counting an even number of
quoting characters, but even this part will differ significantly
because unlike `blink-paren', `show-paren' needs to work in both
directions: backwards and forwards.